paths:
  /api/v1/remove_user_from_project:
post:
summary: RemoveUserFromProject
tags:
  - Projects
description: Endpoint to remove a user from a project group with project_name and username.
operationId: RemoveUserFromProject
consumes:
  - application/json
parameters:
  - in: body
    name: user
    description: Remove user from project group object
    required: true
    schema:
      type: object
      properties:
        username:
          type: string
          example: testuser
          x-example: testuser
        password:
          type: string
          example: testpassword
          x-example: testpassword
responses:
  200:
    description: User is successfully removed from the project group.
  401:
    description: Unauthorized. Invalid credentials provided.
  404:
    description: User not found.
  404:
    description: Project not found.
  409:
    description: User does not belong to project group.
  500:
    description: Internal server error